diff leo-obj/toolwrap/disasm-wrap.sh @ 140:21fda9752bd9

OSL flash objects: created disasm hints for os_com through os_mis
author Michael Spacefalcon <msokolov@ivan.Harhan.ORG>
date Wed, 09 Apr 2014 02:40:20 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/leo-obj/toolwrap/disasm-wrap.sh	Wed Apr 09 02:40:20 2014 +0000
@@ -0,0 +1,15 @@
+#!/bin/sh
+if [ $# != 3 ]
+then
+	echo "usage: $0 objfile hints-file disasm-outfile" >&2
+	exit 1
+fi
+
+if [ -f $2 ]
+then
+	set -x
+	../tool/tiobjd $1 disasm -h $2 > $3
+else
+	set -x
+	../tool/tiobjd $1 disasm > $3
+fi